Bug 473284 - detach tab triggers too often unintentionally
detach tab triggers too often unintentionally
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-27 09:15 EST by Patrick C. F. Ernzer
Modified: 2010-04-27 11:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 11:39:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2008-11-27 09:15:49 EST
Description of problem:
gnome-terminal in F10 has a tendency to trigger the detach tab function unintentionally. This behaviour shows on all 3 of my F10 machines and did not show under F9

Version-Release number of selected component (if applicable):
gnome-terminal-2.24.1-2.fc10.x86_64

How reproducible:
random

Steps to Reproduce:
1. work in one tab of many
2. switch to either another tab or another desktop
3. do something else there
4. switch back to the desktop with multi-tabbed gnome-terminal or switch from one tab to another
  
Actual results:
in 10-20% of the switchings I find the tab I want to go to detached from my gnome-terminal window.

I have not yet found a way to explicitly trigger this, it just happens from time to time and often enough to be an annoyance.

Expected results:
tab only detaches if I click it and move my mouse coursor by a non-small number of pixels (say 20)

Additional info:
Comment 1 Patrick C. F. Ernzer 2009-07-23 08:55:56 EDT
This bug is still present on F11 and It's making use of gnome-terminal a very frustrating experience.
Comment 2 Bug Zapper 2010-04-27 08:23:23 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Patrick C. F. Ernzer 2010-04-27 11:39:08 EDT
closing.
either recent gnome-terminal is less sensitive, or I have subconsciously learned to operate it in a way that does not trigger tab-detaching unintentionally, but this has not annoyed me in quite a number of weeks.

Note You need to log in before you can comment on or make changes to this bug.